VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ScriptObjects"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim OtherObjects() As New ScriptObjects
Dim OtherShortcuts() As New EineVerknpfung
Dim OtherVariables() As New EineVariable
Dim OtherFunctions() As New EineFunktion
Dim OtherArrayObjects() As New ArrayObjects
Dim OtherArrayVariables() As New ArrayVariable

Dim MyName As String

Function GetName() As String
 GetName = MyName
End Function

Sub SetName(ByVal TheName As String)
 MyName = UCase$(LTrim$(RTrim$(TheName)))
End Sub

Sub Initialize()
 ReDim Preserve OtherObjects(0) As New ScriptObjects
 ReDim Preserve OtherShortcuts(0) As New EineVerknpfung
 ReDim Preserve OtherVariables(0) As New EineVariable
 ReDim Preserve OtherFunctions(0) As New EineFunktion
 ReDim Preserve OtherArrayObjects(0) As New ArrayObjects
 ReDim Preserve OtherArrayVariables(0) As New ArrayVariable
End Sub

Sub AddObject(ByVal ObjectName As String)
 ReDim Preserve OtherObjects(UBound(OtherObjects) + 1) As New ScriptObjects
 OtherObjects(UBound(OtherObjects)).Initialize
 OtherObjects(UBound(OtherObjects)).SetName ObjectName
End Sub

Sub AddShortcut(ByVal ShortcutName As String)
 ReDim Preserve OtherShortcuts(UBound(OtherShortcuts) + 1) As New EineVerknpfung
 OtherShortcuts(UBound(OtherShortcuts)).SetName ShortcutName
End Sub

Sub AddVariable(ByVal VariableName As String)
 ReDim Preserve OtherVariables(UBound(OtherVariables) + 1) As New EineVariable
 OtherVariables(UBound(OtherVariables)).SetName VariableName
 OtherVariables(UBound(OtherVariables)).LinkInhaltWithNothing
End Sub

Sub AddFunction(ByVal FunctionName As String)
 ReDim Preserve OtherFunctions(UBound(OtherFunctions) + 1) As New EineFunktion
 OtherFunctions(UBound(OtherFunctions)).SetName FunctionName
End Sub

Sub AddArrayVariable(ByVal VariableName As String)
 ReDim Preserve OtherArrayVariables(UBound(OtherArrayVariables) + 1) As New ArrayVariable
 OtherArrayVariables(UBound(OtherArrayVariables)).Initialize
 OtherArrayVariables(UBound(OtherArrayVariables)).SetName VariableName
End Sub

Sub AddArrayObject(ByVal ObjectName As String)
 ReDim Preserve OtherArrayObjects(UBound(OtherArrayObjects) + 1) As New ArrayObjects
 OtherArrayObjects(UBound(OtherArrayObjects)).Initialize
 OtherArrayObjects(UBound(OtherArrayObjects)).SetName ObjectName
End Sub

Function GetObject(ByVal TheName As String, TheObject As ScriptObjects) As Boolean
 TheName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(OtherObjects)
  If TheName = OtherObjects(X).GetName() Then
   Set TheObject = OtherObjects(X)
   GetObject = True
   Exit Function
  End If
 Next
 GetObject = False
End Function

Function GetShortcut(ByVal TheName As String, TheShortcut As EineVerknpfung) As Boolean
 TheName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(OtherShortcuts)
  If TheName = OtherShortcuts(X).GetName() Then
   Set TheShortcut = OtherShortcuts(X)
   GetShortcut = True
   Exit Function
  End If
 Next
 GetShortcut = False
End Function

Function GetVariable(ByVal TheName As String, TheVariable As EineVariable) As Boolean
 TheName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(OtherVariables)
  If TheName = OtherVariables(X).GetName() Then
   Set TheVariable = OtherVariables(X)
   GetVariable = True
   Exit Function
  End If
 Next
 GetVariable = False
End Function

Function GetFunction(ByVal TheName As String, TheFunction As EineFunktion) As Boolean
 TheName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(OtherFunctions)
  If TheName = OtherFunctions(X).GetName() Then
   Set TheFunction = OtherFunctions(X)
   GetFunction = True
   Exit Function
  End If
 Next
 GetFunction = False
End Function

Function GetArrayVariable(ByVal TheName As String, TheArrayVariable As ArrayVariable) As Boolean
 TheName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(OtherArrayVariables)
  If TheName = OtherArrayVariables(X).GetName() Then
   Set TheArrayVariable = OtherArrayVariables(X)
   GetArrayVariable = True
   Exit Function
  End If
 Next
 GetArrayVariable = False
End Function

Function GetArrayObject(ByVal TheName As String, TheArrayObject As ArrayObjects) As Boolean
 TheName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(OtherArrayObjects)
  If TheName = OtherArrayObjects(X).GetName() Then
   Set TheArrayObject = OtherArrayObjects(X)
   GetArrayObject = True
   Exit Function
  End If
 Next
 GetArrayObject = False
End Function
