VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ArrayObjects"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim MyName As String

Dim MyObjects() As New ScriptObjects

Dim Index() As Integer

Sub Initialize()
 ReDim Preserve MyObjects(0) As New ScriptObjects
 ReDim Preserve Index(0) As Integer
End Sub

Function GetName() As String
 GetName = MyName
End Function

Sub SetName(ByVal TheName As String)
 MyName = UCase$(LTrim$(RTrim$(TheName)))
 Dim X As Integer
 For X = 1 To UBound(Index)
  MyObjects(X).SetName MyName
 Next
End Sub

Function GetObject(ByVal TheIndex As Integer) As ScriptObjects
 Set GetObject = MyObjects(GetIndex(TheIndex))
End Function

Private Function GetIndex(ByVal TheIndex As Integer) As Integer
 Dim X As Integer
 For X = 1 To UBound(Index)
  If Index(X) = TheIndex Then
   GetIndex = X
   Exit Function
  End If
 Next
 ReDim Preserve Index(UBound(Index) + 1) As Integer
 ReDim Preserve MyObjects(UBound(Index)) As New ScriptObjects
 Index(UBound(Index)) = TheIndex
 MyObjects(UBound(Index)).Initialize
 MyObjects(UBound(Index)).SetName MyName
 GetIndex = UBound(Index)
End Function

Sub ResetObject(ByVal TheIndex As Integer)
 Dim X As Integer
 For X = 1 To UBound(Index)
  If Index(X) = TheIndex Then
   Set MyObjects(X) = New ScriptObjects
   MyObjects(X).Initialize
   MyObjects(X).SetName MyName
   Exit Sub
  End If
 Next
End Sub
